Get job position

Prev Next

Available in Classic and VPC

Get job position details.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /ncloudmcc/v1/companies/{companyId}/job-positions/{externalKey}

Request headers

For information about the headers common to all Media Connect Center APIs, see Media Connect Center request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
companyId String Required Integration key
  • Check from console: Media Connect Center > Developers > Basic settings > Integration key
externalKey String Required Job position external key

Request example

The request example is as follows:

curl --location --request GET 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/job-positions/hg-position-5' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'x-ncp-region_code: KR' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
jobPosition Object - Job Position Information
jobPosition.name String - Job position name
jobPosition.i18nNames Object - Job position multilingual name
jobPosition.i18nNames.{locale} String - Job position name by language
  • "Language code": "Value" format.
  • Display the registered value among Korean, English, and Japanese.
jobPosition.sortOrd Number - Query display order
jobPosition.externalKey String - Job position external key

Response status codes

For information about the HTTP status codes common to all Media Connect Center APIs, see Media Connect Center response status codes.

Response example

The response example is as follows:

{
    "jobPosition": {
        "name": "PM",
        "i18nNames": {
            "ko_KR": "프로젝트 매니저",
            "en_US": "Project Manager"
        },
        "sortOrd": 5,
        "externalKey": "hg-position-5"
    }
}